Subject: Re: [PATCH] phy: remove irq param to fix crash in fixed_phy_add()

From: Florian Fainelli <[email-masked]>
Date: Tue, 17 May 2016 11:27:12 -0700

On 05/17/2016 11:20 AM, David Miller wrote:
> From: Rabin Vincent <[email-masked]>
> Date: Mon, 16 May 2016 13:15:56 +0200
> 
>> From: Rabin Vincent <[email-masked]>
>>
>> Since e7f4dc3536a ("mdio: Move allocation of interrupts into core"),
>> platforms which call fixed_phy_add() before fixed_mdio_bus_init() is
>> called (for example, because the platform code and the fixed_phy driver
>> use the same initcall level) crash in fixed_phy_add() since the
>> ->mii_bus is not allocated.
>>
>> Also since e7f4dc3536a, these interrupts are initalized to polling by
>> default.  All callers of both fixed_phy_register() and fixed_phy_add()
>> pass PHY_POLL for the irq argument, so we can fix these crashes by
>> simply removing the irq parameter, since the default is correct for all
>> users.
>>
>> Fixes: e7f4dc3536a400 ("mdio: Move allocation of interrupts into core")
>> Signed-off-by: Rabin Vincent <[email-masked]>
> 
> Applied.

David, there was a v2 sent just earlier this morning here:

http://patchwork.ozlabs.org/patch/622967/

which was appropriately marked with Changes Requested, so why would we
apply v1?
-- 
Florian